pappso::FilterMorphoMinMax Class Reference

transform the trace with the minimum of the maximum equivalent of the dilate filter for pictures More...

`#include <filtermorpho.h>`

Inheritance diagram for pappso::FilterMorphoMinMax:

## Public Member Functions

| FilterMorphoMinMax (std::size_t half_window_size)
| FilterMorphoMinMax (const FilterMorphoMinMax &other)
virtual | ~FilterMorphoMinMax ()
FilterMorphoMinMax & | operator= (const FilterMorphoMinMax &other)
Trace & | filter (Trace &data_points) const override
std::size_t | getMinMaxHalfEdgeWindows () const
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Private Attributes

FilterMorphoMax | m_filterMax
FilterMorphoMin | m_filterMin

## Detailed Description

transform the trace with the minimum of the maximum equivalent of the dilate filter for pictures

Definition at line 117 of file filtermorpho.h.

## Constructor & Destructor Documentation

## FilterMorphoMinMax() [1/2]

FilterMorphoMinMax::FilterMorphoMinMax | ( | std::size_t | half_window_size | ) |

Definition at line 208 of file filtermorpho.cpp.

: m_filterMax(half_window_size), m_filterMin(half_window_size)
{
}
pappso::FilterMorphoMinMax::m_filterMax
FilterMorphoMax m_filterMax
Definition: filtermorpho.h:120
pappso::FilterMorphoMinMax::m_filterMin
FilterMorphoMin m_filterMin
Definition: filtermorpho.h:121

## FilterMorphoMinMax() [2/2]

FilterMorphoMinMax::FilterMorphoMinMax | ( | const FilterMorphoMinMax & | other | ) |

Definition at line 212 of file filtermorpho.cpp.

: m_filterMax(other.m_filterMax), m_filterMin(other.m_filterMin)
{
}

## ~FilterMorphoMinMax()

virtual pappso::FilterMorphoMinMax::~FilterMorphoMinMax | ( |  | ) |

inline virtual

Definition at line 126 of file filtermorpho.h.

{};

## Member Function Documentation

## filter()

Trace & FilterMorphoMinMax::filter | ( | Trace & | data_points | ) | const

override virtual

Implements pappso::FilterInterface.

Definition at line 227 of file filtermorpho.cpp.

{
qDebug();
m_filterMax.filter(data_points);
m_filterMin.filter(data_points);
qDebug();
return data_points;
}
pappso::FilterMorphoWindowBase::filter
virtual Trace & filter(Trace &data_points) const override
Definition: filtermorpho.cpp:61

References pappso::FilterMorphoWindowBase::filter(), m_filterMax, and m_filterMin.

Referenced by pappso::TraceDetectionZivy::detect(), and pappso::FilterMorphoBackground::filter().

## getMinMaxHalfEdgeWindows()

std::size_t FilterMorphoMinMax::getMinMaxHalfEdgeWindows | ( |  | ) | const

Definition at line 236 of file filtermorpho.cpp.

{
return ((FilterMorphoMax)m_filterMax).getMaxHalfEdgeWindows();
}
pappso::FilterMorphoMax
transform the trace into its maximum over a window
Definition: filtermorpho.h:81

References m_filterMax.

Referenced by pappso::TraceDetectionZivy::detect(), and pappso::TraceDetectionZivy::getMinMaxHalfEdgeWindows().

## operator=()

FilterMorphoMinMax & FilterMorphoMinMax::operator= | ( | const FilterMorphoMinMax & | other | ) |

Definition at line 218 of file filtermorpho.cpp.

{
m_filterMax = other.m_filterMax;
m_filterMin = other.m_filterMin;
return *this;
}

References m_filterMax, and m_filterMin.

## Member Data Documentation

## m_filterMax

FilterMorphoMax pappso::FilterMorphoMinMax::m_filterMax

private

Definition at line 120 of file filtermorpho.h.

Referenced by filter(), getMinMaxHalfEdgeWindows(), and operator=().

## m_filterMin

FilterMorphoMin pappso::FilterMorphoMinMax::m_filterMin

private

Definition at line 121 of file filtermorpho.h.

Referenced by filter(), and operator=().

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filtermorpho.h
- pappsomspp/processing/filters/filtermorpho.cpp